group "PricingInputDates.model"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | 5 elements
Defined: | globally in fpml-riskdef-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
baseDate, spotDate?, inputDataDate?, endDate?, buildDateTime?

Content Model Elements (5):

  baseDate, buildDateTime, endDate (defined in PricingInputDates.model group), | inputDataDate, spotDate

Known Usage Locations

- In definitions of global complexTypes (1):
  PricingStructureValuation

Annotation
The dates that might be relevant for a pricing input, e.g. what valuation date it applies to, when it was built, when the data comes from, etc..
XML Source (w/o annotations (6); see within schema source)

<xsd:group name="PricingInputDates.model"> <xsd:sequence> <xsd:element name="baseDate" type="IdentifiedDate"/> <xsd:element minOccurs="0" name="spotDate" type="IdentifiedDate"/> <xsd:element minOccurs="0" name="inputDataDate" type="IdentifiedDate"/> <xsd:element minOccurs="0" name="endDate" type="IdentifiedDate"/> <xsd:element minOccurs="0" name="buildDateTime" type="xsd:dateTime"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 5/5)
baseDate

  Type: | IdentifiedDate, simple content

  The base date for which the structure applies, i.e. the curve date. Normally this will align with the valuation date.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="baseDate" type="IdentifiedDate"/>

buildDateTime

  Type: | xsd:dateTime, predefined, simple content

  The date and time when the pricing input was generated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="buildDateTime" type="xsd:dateTime"/>

endDate

  Type: | IdentifiedDate, simple content

  The last date for which data is supplied in this pricing input.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="endDate" type="IdentifiedDate"/>

inputDataDate

  Type: | IdentifiedDate, simple content

  The date from which the input data used to construct the pricing input was obtained. Often the same as the baseDate, but sometimes the pricing input may be "rolled forward", in which input data from one date is used to generate a curve for a later date.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="inputDataDate" type="IdentifiedDate"/>

spotDate

  Type: | IdentifiedDate, simple content

  The spot settlement date for which the structure applies, normally 0-2 days after the base date. The difference between the baseDate and the spotDate is termed the settlement lag, and is sometimes called "days to spot".
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="spotDate" type="IdentifiedDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.